CentOS Bug Tracker
CentOS Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002622CentOS-5-OTHERpublic2008-01-25 00:202008-09-02 17:10
ReporterWilliam 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version5.1 
Target VersionFixed in Version 
Summary0002622: unable to install form dvd's
DescriptionI have a new dell t105(opty 1210's with 4 gigs of ram..sata hdd's and sata dvd-rom). I can bot to the Cent 5 64 bit dvd fine but once it asks where the install image is i tell it cd-rom..then it rejects the dvd spits it out and tells me it's not there. the same happens on 32 bit. I have downloaded centos5 twice now, md5 verified..and even burned at 1x(that took forever). This system does not have any ide ports...it is sata only. The cd images work just fine..but the dvd iso's do not.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006756)
William (reporter)
2008-01-25 15:45

x86-64 cd's will not instal either. 32 bit will..but i need 64 bit.
(0006803)
William (reporter)
2008-02-03 03:18

I was able to install centos 5 32 bit from the dvd inside a vmware session. The base os is Windows server 2k3 standard x64.
(0006887)
tonysuen (reporter)
2008-02-14 04:29

I run into the exact same issue installing on a home build server with the following HW configuration:
Processor: Core 2 duo
DVD Drive: External USB
HD: 2x 80GB ATA; 5x 320GB SATA
The system can boot to the DVD disk but failed to find it at the select source step.
(0006888)
tonysuen (reporter)
2008-02-14 04:33

I forgot to add I'm only using the 5.1 x86_64 DVD image. The iso image's sha1 checksum verified correctly. I did not try the CD images.
(0006895)
johnwong (reporter)
2008-02-14 17:51

I also experienced the same problem with the 5.1 x86_64 DVD image.
The 32 bit DVD image had the simliar problem, but I was
able to get it installed after several tries.
(0006896)
range (administrator)
2008-02-14 19:50

Can one of you capture the output on one of the virtual consoles (3, 4 or 5), so that we can get an exact error message?
(0006899)
johnwong (reporter)
2008-02-15 17:04

I do not have the virtual console set up to capture
the output. I have telnet into the console port(ttyS0),
but the install process does not go through ttyS0, so
I can't capture the output.

On my 32 and 64 bit du-core system. The disk or volume
have been partitioned and have Red Hat 5 installed on
one or two partiotons. It looks like only the option one
that remove all partitions and install default
configuration work for both 32 and 64 bit
iso image dvd. I tried to choose the option 2 and 3
to select a unused partition or create a new partition
to install CentOS 5 so I can preserve my Red Hat 5, they
both failed.
On my 32 bit system, I have two disks. So I can install
CentOS on my second disk. On my 64 bit system, I only have
one big volume, so I end up wiping out my Red Hat 5 system.
(0007051)
davew (reporter)
2008-03-22 12:28

I have the same or very similar problem with a Dell power edge R200.
I have two similar machines one has 1GB of ram + 1x250G HD + 1 DVD drive (TSSTCorp) The other machine has 2GB ram, 2x250G HD + 1 DVD.
All drives are SATA.
The machine with one HD installed fine.
The machine with 2 HD's will not install. The installer can not find the DVD drive.
The drives are arranged such that the HD's are on the first two channels and the DVD on the third.
The machine that did install with only one HD had the DVD on the second channel.

I suspect that the installer is not searching for the DVD after the second channel.

Unfortunately I am unable to capture the virtual consoles, I can't even read them all in time to confirm my suspicions. Is there a trick to capturing the virtual consoles? If so I'll do it and post here.
(0007052)
davew (reporter)
2008-03-22 12:30

Ah yes and this is with Centos 4 32 bit CD, Centos 4 64 bit CD, Centos 5 64 bit CD .
I'm not sure about Centos 5 64 bit DVD. Haven't tried it yet.
(0007054)
range (administrator)
2008-03-23 08:26

As asked before: Can anyone of you take a look at the virtual consoles if there is an error message which could explain this problem? You can reach those with <ALT>-<F2> through <F6> if you are still in "text mode", <CTRL>-<ALT>-<F1> through <F6> in graphical mode (at least I think F6 is the last console).
(0007105)
Aranius (reporter)
2008-04-07 05:07

I had the same problem. I have hit enter on the start screen [to boot into graphical interface], but it started text interface after medium check... The system in text mode was unable to detect DVD as source medium...

On cca fifth try [only hitting enter on start up - nothing more ;) ], I have sucessfully booted to graphical interface and from there the installation was going OK...

After the first booting into graphical interface, I tried to repeat the error and see the virtual consoles for error messages, but second booting was correct into the graphical interface, i will try to experiment with this...

I have installed x86-64 bit version on dual core AMD processor, 2 sata disk, 1 ATA DVD-ROM, 2 GB RAM
(0007315)
timverhoeven (developer)
2008-05-22 15:04

Is there any feedback on this by any of the people who have the issue ?
(0007417)
laramiem (reporter)
2008-06-19 22:45

I have a similar setup to the original bug report:
  Dell PowerEdge T105
  8GB Memory
  2 SATA hard drives
  1 SATA DVD drive

Trying to install CentOS 5.1 64-bit from a DVD. Boots okay, but after selecting CD-ROM for the install image, it just ejects the DVD.

Here's the output from the virtual terminals:

<Ctrl>-<Alt>-<F3>

INFO : modules to insert tg3 libata sata_nv
INFO : loaded tg3 from /modules/modules.cgz
INFO : loaded libata from /modules/modules.cgz
INFO : loaded sata_nv from /modules/modules.cgz
INFO : inserted /tmp/tg3.ko
INFO : inserted /tmp/libata.ko
INFO : inserted /tmp/sata_nv.ko
INFO : load module set done
INFO : trying to mount CD device scd0
INFO : setting language to en_US.UTF-8
INFO : 53 keymaps are available
INFO : starting to STEP_URL
INFO : trying to mount CD device scd0
INFO : ejecting /tmp/cdrom...
<after inserting the DVD and trying again>
INFO : trying to mount CD device scd0
INFO : ejecting /tmp/cdrom...

----------

<Ctrl>-<Alt>-<F4>

<5>sata_nv 0000:00:08.0: Using ADMA mode
<7>PCI: Setting latency timer of device 0000:00:08.0 to 64
<6>scsi2 : sata_nv
<6>scsi3 : sata_nv
<6>ata3: SATA max UDMA/133 cmd 0xffffc2000002e480 ctl 0xffffc2000002e4a0 bmdma 0x0000000000012400 irq 50
<6>ata4: SATA max UDMA/133 cmd 0xffffc2000002e580 ctl 0xffffc2000002e5a0 bmdma 0x0000000000012400 irq 50
<6>ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
<6>ata3.00: ATAPI, max UDMA/100
<6>ata3.00: configured for UDMA/100
<6>ata4: SATA link down (SStatus 0 SControl 300)
<5> Vendor: PLDS Model: DVD-ROM DH-16D2S Rev:JD11
<5> Type: CD-ROM ANSI SCSI revision: 05
<6>ata3: bounce limit 0xFFFFFFFF, segment boundary 0xFFFF, hw segs 127
<4>sr0: scsi3-mmc drive: 0x/0x caddy
<6>Uniform CD-ROM driver Revision: 3.20
<7>sr 2:0:0:0: Attached scsi CD-ROM sr0
<4>Unable to identify CD-ROM format.
<4>Unable to identify CD-ROM format.
<after inserting the DVD and trying again>
<4>Unable to identify CD-ROM format.

----------

The other virtual terminals are blank. It looks like the DVD drive is being identified as a CD-ROM drive. Please let me know if I can provide any other information to help debug the problem.
(0007419)
timverhoeven (developer)
2008-06-20 08:35

Could the people that have this issue try again with CentOS 5.2 that will be released shortly ?
(0007420)
laramiem (reporter)
2008-06-20 09:33

I can try to install CentOS 5.2, but I won't be able to run the experiment until the week of July 7th.
(0007445)
nolme (reporter)
2008-06-24 08:04

Still having same problem with 5.1 version coming from with ISO DVD :
ftp://ftp.free.fr/mirrors/ftp.centos.org/5.1/isos/i386 [^]
(same problem from another server)

Physical machine : Windows XP SP3 FR, core 2 Duo E6850, 4 Go RAM, RAID1
VMWare Workstation 6.0.4 build 93057.

Doesn't have problem with ISO CD version.

Symptom :
Blank black screen with last try.
Simple texte line with isoboot linux

:(
(0007506)
timverhoeven (developer)
2008-06-27 13:04

Can people please test with 5.2 and provide feedback ?
(0007709)
luisdev (reporter)
2008-07-19 12:44

Greetings! I have tried with 5.2 x86_64 and this problem remains.

Apparently the sata_nv driver in CentOS kernel doesn't support whatever SATA optical drive Dell installs in this server. I have tried "linux sata_nv.adma=0" in the boot prompt, since Dell suggests it as a workaround to install SUSE. I quote:

----------------
SUSE® Linux Enterprise Server 10 Service Pack 1 does not support internal
SATA optical drives on systems with more than 4 GB of system memory.
The SATA optical drive connected to the SATA controller is not recognized
during and after installation because of an issue with the sata_nv driver. A fix
for this issue will be available in a future service pack.
To work around this issue, you must load the sata_nv driver with the adma
mode disabled during boot-up.
----------------

I have exactly 4 GB of memory. Anyway, this workaround doesn't help CentOS in the slightest. Even if I manage to network install it the optical drive is not usable. Any attempt to mount /dev/scd0 results in a crash and automatic reboot of the system!

Relevant lines from Alt+F4:

<6>ata3: SATA max UDMA/133 cmd 0x2440 ctl 0x2430 bmdma 0x2400 irq 58
<6>ata3.00: ATAPI: TSSTCorp CD-RW/DVD-ROM TS-H493B, D200, max UDMA/33
<4>sr0: scsi3-mmc drive: 0x/0x caddy
<6>Uniform CD-ROM driver Revision: 3.20
<7>sr 2:0:0:0: Attached scsi CD-ROM sr0
<4>Unable to identify CD-ROM format.
(0007717)
nolme (reporter)
2008-07-20 19:31

Working with version 5.2 DVD under VMWARE 6.0.4 Build 93057
:)
(0007720)
tonysuen (reporter)
2008-07-21 02:02

I was able to get into the graphics installation UI with the new 5.2 x86_64 DVD after media check. I did not perform the actual install since I do not want to replace my running system but I went all the way to right before the "click next to begin upgrade of CentOS" prompt. I think this version is working.
(0007726)
tru (administrator)
2008-07-21 14:09

http://lists.us.dell.com/pipermail/linux-poweredge/2008-July/036795.html [^]

workaround provided citing the reporter :)
...
Booting with mem=3G did indeed work around the bug!!!
Curiously enough, I had read of this workaround and tried it for the
DVD install. mem=3G created a kernel panic about not finding the root
partition, so I desisted of exploring that avenue.

However this option works for the installer if you express it in MB
instead of GB, i.e., mem=2048M will allow you to perform a DVD
install. mem=2G won't work for the installer, but it is ok once the
system is already installed.
...
(0007755)
luisdev (reporter)
2008-07-25 16:19

Hi all!

I applied this patch to a 2.6.24 and it solves the issue, so I suggest backporting including it the next kernel release.

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=8959d300a79c1b70526cdf9e00485262cf8d979f [^]

Thanks.
(0007759)
laramiem (reporter)
2008-07-26 04:57

I finally had a chance to try to install CentOS 5.2, and I got the same results that luisdev reported. A standard install fails with some minor changes from what I reported earlier for 5.1:

Alt+F4

<6>scsi3 : sata_nv
<6>ata3: SATA max UDMA/133 cmd 0x2440 ctl 0x2430 bmdma 0x2400 irq 50
<6>ata4: SATA max UDMA/133 cmd 0x2420 ctl 0x2410 bmdma 0x2400 irq 50
<6>ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
<6>ata3.00: ATAPI: PLDS DVD-ROM DH-16D2S, JD11, max UDMA/100
<6>ata3.00: configured for UDMA/100

The DVD install runs fine when I add the mem=2048M option to workaround the memory issue. I'm not setup to test the kernel patch, but the description certainly sounds like it would fix the problem. Thank you Luis for tracking this down to the root cause.
(0007761)
laramiem (reporter)
2008-07-26 05:41

I just confirmed that this workaround can also be used for CentOS 4.6 (issue 0002621 opened by the original reporter of this issue).
(0007912)
range (administrator)
2008-09-02 17:10

Please use the provided workaround (mem=2048m)

- Issue History
Date Modified Username Field Change
2008-01-25 00:20 William New Issue
2008-01-25 15:45 William Note Added: 0006756
2008-02-03 03:18 William Note Added: 0006803
2008-02-14 04:29 tonysuen Note Added: 0006887
2008-02-14 04:33 tonysuen Note Added: 0006888
2008-02-14 17:51 johnwong Note Added: 0006895
2008-02-14 19:50 range Note Added: 0006896
2008-02-14 19:50 range Status new => feedback
2008-02-15 17:04 johnwong Note Added: 0006899
2008-03-22 12:28 davew Note Added: 0007051
2008-03-22 12:30 davew Note Added: 0007052
2008-03-23 08:26 range Note Added: 0007054
2008-04-07 05:07 Aranius Note Added: 0007105
2008-05-22 15:04 timverhoeven Note Added: 0007315
2008-06-19 22:45 laramiem Note Added: 0007417
2008-06-20 08:35 timverhoeven Note Added: 0007419
2008-06-20 09:34 laramiem Note Added: 0007420
2008-06-24 08:04 nolme Note Added: 0007445
2008-06-27 13:04 timverhoeven Note Added: 0007506
2008-07-19 12:44 luisdev Note Added: 0007709
2008-07-20 19:31 nolme Note Added: 0007717
2008-07-21 02:02 tonysuen Note Added: 0007720
2008-07-21 14:09 tru Note Added: 0007726
2008-07-21 14:09 tru Status feedback => confirmed
2008-07-25 16:19 luisdev Note Added: 0007755
2008-07-26 04:57 laramiem Note Added: 0007759
2008-07-26 05:41 laramiem Note Added: 0007761
2008-09-02 17:10 range Status confirmed => closed
2008-09-02 17:10 range Note Added: 0007912
2008-09-02 17:10 range Resolution open => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker